Skip to main content
Contract / Budgets

Create contract budget final entries

This method requires the ContractBudgets:CreateFinalEntries permission to be associated with your role.

POST
/fm/contract/budgets/final-entries
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/x-www-form-urlencoded
contract_idstringrequired

Contract Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success - final budget entries have been created successfully

billing_periodinteger
Example: 12
billing_period_item_nointeger
Example: 2
contract_idstring
Example: 123456